## iaito 5.9.4+ds

=== debian/changelog ===
iaito (5.9.4+ds-2) unstable; urgency=medium

  * d/control: add libxxhash-dev to build-depends. (Closes: #1085058)

 -- Alex Myczko <tar@debian.org>  Wed, 16 Oct 2024 20:38:54 +0000

iaito (5.9.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1078602)

 -- Alex Myczko <tar@debian.org>  Tue, 13 Aug 2024 11:12:03 +0000
