=== src/Makefile ===
all: ../build
	$(MAKE) -C ../build

../build:
	$(MAKE) -C ..
