=== src/meson_options.txt ===
# both options are deprecated
# option('enable_python', type: 'boolean', value: false)
# option('enable_python_bindings', type: 'boolean', value: false)
