=== debian/changelog ===
iaito (5.9.9+ds-2) unstable; urgency=medium

  * Source only upload. (Closes: #1093597)

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 11:59:12 +0000

iaito (5.9.9+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 02 Dec 2024 10:23:37 +0000
