=== debian/control ===
Source: iaito
Section: devel
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 fonts-agave,
 fonts-inconsolata,
 fonts-anonymous-pro,
 meson,
 ninja-build,
 qttools5-dev,
 qttools5-dev-tools,
 qtbase5-dev,
 qtchooser,
 qt5-qmake,
 qtbase5-dev-tools,
 libqt5svg5-dev,
 libradare2-dev,
 libxxhash-dev,
 pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/radareorg/iaito
Vcs-Browser: https://salsa.debian.org/pkg-security-team/iaito
Vcs-Git: https://salsa.debian.org/pkg-security-team/iaito.git

Package: iaito
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: GUI for radare2, a libre reverse engineering framework
 This is the official graphical interface for radare2. It aims to
 conver other r2 features, not just the disassembler but also forensics,
 networking, bindiffing, solvers, and more.
