## iaito 6.0.0+ds

=== debian/changelog ===
iaito (6.0.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.
  * Bump standards version to 4.7.2.
  * d/rules: skip tests, qmake path.

 -- Alex Myczko <tar@debian.org>  Mon, 08 Sep 2025 10:53:25 -0500
