## iaito 6.0.2+ds

=== debian/changelog ===
iaito (6.0.2+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 30 Sep 2025 09:58:28 +0200
