## iaito 6.0.4+ds

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 		$(MAKE) build && $(MAKE) -C build -j4
 
 clean:
+	rm -f src/ui_*.h
 	rm -rf build
 
 dist:
@@ -117,6 +118,9 @@
 gdb:
 	gdb --args $(BIN)
 
+lldb:
+	lldb -- $(BIN)
+
 src/translations/README.md:
 	git clone https://github.com/radareorg/iaito-translations.git src/translations
 
@@ -126,5 +130,14 @@
 user-install-translations: src/translations/README.md
 	$(MAKE) -C src/translations user-install
 
+dockindent:
+	docker images | grep clang-format-image || make -C scripts/indent
+	docker run --rm -v "$$PWD:/project" clang-format-image -i \
+		$(shell find src -name '*.cpp' -o -name '*.h')
+
 indent:
+ifeq ($(clang-format --version | grep 'version 18'),)
+	$(MAKE) dockindent
+else
 	clang-format -i $(shell find src -name '*.cpp' -o -name '*.h')
+endif
