=== src/Makefile ===
#############################################################################
# Makefile for building: iaito.app/Contents/MacOS/iaito
# Generated by qmake (3.1) (Qt 6.9.0)
# Project:  Iaito.pro
# Template: app
# Command: /opt/homebrew/bin/qmake -o Makefile Iaito.pro
#############################################################################

MAKEFILE      = Makefile

EQ            = =

####### Compiler, tools and options

CC            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang
CXX           = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
DEFINES       = -DIAITO_SOURCE_BUILD -D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -DQT_NO_DEBUG -DQT_SVGWIDGETS_LIB -DQT_WIDGETS_LIB -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0 -Wall -Wextra $(DEFINES)
CXXFLAGS      = -pipe -stdlib=libc++ -g -O0 -mmacosx-version-min=10.7 -std=c++20 -stdlib=libc++ -g -O2 -std=gnu++2a $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0 -Wall -Wextra $(DEFINES)
INCPATH       = -I. -I. -Icore -Iwidgets -Idialogs -Icommon -Iplugins -Imenus -I/usr/local/include/libr -I/usr/local/include/libr/sdb -I/usr/local/include/libr -I/usr/local/include/libr/sdb -I/opt/homebrew/lib/QtSvgWidgets.framework/Headers -I/opt/homebrew/lib/QtWidgets.framework/Headers -I/opt/homebrew/lib/QtSvg.framework/Headers -I/opt/homebrew/lib/QtGui.framework/Headers -I/opt/homebrew/lib/QtNetwork.framework/Headers -I/opt/homebrew/lib/QtCore.framework/Headers -I. -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/AGL.framework/Headers -I. -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk/System/Library/Frameworks/AGL.framework/Headers -I/opt/homebrew/share/qt/mkspecs/macx-clang -F/opt/homebrew/lib
QMAKE         = /opt/homebrew/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /opt/homebrew/bin/qmake -install qinstall
QINSTALL_PROGRAM = /opt/homebrew/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = iaito5.9.9
DISTDIR = /Users/pancake/prg/iaito/src/.tmp/iaito5.9.9
LINK          = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
LFLAGS        = -stdlib=libc++ -Wl,-rpath,/usr/local/lib -rdynamic -headerpad_max_install_names $(EXPORT_ARCH_ARGS) -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX15.0.sdk -mmacosx-version-min=14.0
LIBS          = $(SUBLIBS) -F/opt/homebrew/lib -L/usr/local/lib -lr_core -lr_config -lr_debug -lr_bin -lr_lang -lr_anal -lr_bp -lr_egg -lr_asm -lr_arch -lr_esil -lr_flag -lr_reg -lr_search -lr_syscall -lr_fs -lr_io -lr_socket -lr_cons -lr_magic -lr_muta -lr_util -ldl -framework QtSvgWidgets -framework QtWidgets -framework QtSvg -framework QtGui -framework AppKit -framework ImageIO -framework Metal -framework QtNetwork -framework QtCore -framework IOKit -framework DiskArbitration -framework UniformTypeIdentifiers -framework AGL -framework OpenGL   
AR            = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ar cq
RANLIB        = /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ranlib -s
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = Main.cpp \
		core/Iaito.cpp \
		dialogs/EditStringDialog.cpp \
		dialogs/WriteCommandsDialogs.cpp \
		widgets/DisassemblerGraphView.cpp \
		widgets/OverviewView.cpp \
		common/RichTextPainter.cpp \
		dialogs/InitialOptionsDialog.cpp \
		dialogs/AboutDialog.cpp \
		dialogs/CommentsDialog.cpp \
		dialogs/EditInstructionDialog.cpp \
		dialogs/FlagDialog.cpp \
		dialogs/RemoteDebugDialog.cpp \
		dialogs/NativeDebugDialog.cpp \
		dialogs/XrefsDialog.cpp \
		core/MainWindow.cpp \
		common/Helpers.cpp \
		common/TextEditDialog.cpp \
		common/Highlighter.cpp \
		common/MdHighlighter.cpp \
		common/DirectionalComboBox.cpp \
		common/TypeScriptHighlighter.cpp \
		common/AnalTask.cpp \
		dialogs/preferences/AsmOptionsWidget.cpp \
		dialogs/FortuneDialog.cpp \
		dialogs/NewFileDialog.cpp \
		widgets/CommentsWidget.cpp \
		widgets/ConsoleWidget.cpp \
		widgets/CustomCommandWidget.cpp \
		widgets/Dashboard.cpp \
		widgets/EntrypointWidget.cpp \
		widgets/ExportsWidget.cpp \
		widgets/FlagsWidget.cpp \
		widgets/FunctionsWidget.cpp \
		widgets/ImportsWidget.cpp \
		widgets/CodeEditor.cpp \
		widgets/Omnibar.cpp \
		widgets/RelocsWidget.cpp \
		widgets/SectionsWidget.cpp \
		widgets/SegmentsWidget.cpp \
		widgets/StringsWidget.cpp \
		widgets/SymbolsWidget.cpp \
		menus/DisassemblyContextMenu.cpp \
		menus/DecompilerContextMenu.cpp \
		widgets/DisassemblyWidget.cpp \
		widgets/HexdumpWidget.cpp \
		common/Configuration.cpp \
		common/Colors.cpp \
		dialogs/SaveProjectDialog.cpp \
		common/TempConfig.cpp \
		common/SvgIconEngine.cpp \
		common/SyntaxHighlighter.cpp \
		widgets/DecompilerWidget.cpp \
		widgets/VisualNavbar.cpp \
		widgets/GraphView.cpp \
		dialogs/preferences/PreferencesDialog.cpp \
		dialogs/preferences/AppearanceOptionsWidget.cpp \
		dialogs/preferences/GraphOptionsWidget.cpp \
		dialogs/preferences/PreferenceCategory.cpp \
		dialogs/preferences/InitializationFileEditor.cpp \
		widgets/QuickFilterView.cpp \
		widgets/ClassesWidget.cpp \
		widgets/ResourcesWidget.cpp \
		widgets/VTablesWidget.cpp \
		widgets/TypesWidget.cpp \
		widgets/HeadersWidget.cpp \
		widgets/SearchWidget.cpp \
		IaitoApplication.cpp \
		common/PythonAPI.cpp \
		dialogs/R2PluginsDialog.cpp \
		widgets/IaitoDockWidget.cpp \
		widgets/IaitoTreeWidget.cpp \
		widgets/MapsWidget.cpp \
		widgets/BinariesWidget.cpp \
		widgets/FilesWidget.cpp \
		widgets/GraphWidget.cpp \
		widgets/OverviewWidget.cpp \
		common/JsonTreeItem.cpp \
		common/JsonModel.cpp \
		dialogs/VersionInfoDialog.cpp \
		widgets/ZignaturesWidget.cpp \
		common/AsyncTask.cpp \
		dialogs/AsyncTaskDialog.cpp \
		widgets/StackWidget.cpp \
		widgets/RegistersWidget.cpp \
		widgets/ThreadsWidget.cpp \
		widgets/ProcessesWidget.cpp \
		widgets/BacktraceWidget.cpp \
		dialogs/MapFileDialog.cpp \
		common/CommandTask.cpp \
		common/ProgressIndicator.cpp \
		common/R2Task.cpp \
		dialogs/R2TaskDialog.cpp \
		widgets/DebugActions.cpp \
		widgets/MemoryMapWidget.cpp \
		dialogs/preferences/DebugOptionsWidget.cpp \
		dialogs/preferences/PluginsOptionsWidget.cpp \
		widgets/BreakpointWidget.cpp \
		dialogs/BreakpointsDialog.cpp \
		dialogs/AttachProcDialog.cpp \
		widgets/RegisterRefsWidget.cpp \
		dialogs/SetToDataDialog.cpp \
		dialogs/EditVariablesDialog.cpp \
		dialogs/EditFunctionDialog.cpp \
		widgets/IaitoTreeView.cpp \
		widgets/ComboQuickFilterView.cpp \
		dialogs/HexdumpRangeDialog.cpp \
		common/QtResImporter.cpp \
		common/IaitoSeekable.cpp \
		common/RefreshDeferrer.cpp \
		dialogs/WelcomeDialog.cpp \
		common/RunScriptTask.cpp \
		dialogs/EditMethodDialog.cpp \
		dialogs/TypesInteractionDialog.cpp \
		widgets/SdbWidget.cpp \
		common/PythonManager.cpp \
		plugins/PluginManager.cpp \
		common/BasicBlockHighlighter.cpp \
		common/BasicInstructionHighlighter.cpp \
		dialogs/LinkTypeDialog.cpp \
		widgets/ColorPicker.cpp \
		common/ColorThemeWorker.cpp \
		widgets/ColorThemeComboBox.cpp \
		widgets/ColorThemeListView.cpp \
		dialogs/preferences/ColorThemeEditDialog.cpp \
		common/UpdateWorker.cpp \
		widgets/MemoryDockWidget.cpp \
		common/CrashHandler.cpp \
		common/BugReporting.cpp \
		common/HighDpiPixmap.cpp \
		widgets/GraphGridLayout.cpp \
		widgets/HexWidget.cpp \
		widgets/R2AIWidget.cpp \
		common/SelectionHighlight.cpp \
		common/Decompiler.cpp \
		common/R2GhidraCmdDecompiler.cpp \
		common/ShortcutKeys.cpp \
		dialogs/ShortcutKeysDialog.cpp \
		common/R2pdcCmdDecompiler.cpp \
		common/R2DecaiDecompiler.cpp \
		common/R2AnotesDecompiler.cpp \
		common/R2retdecDecompiler.cpp \
		menus/AddressableItemContextMenu.cpp \
		common/AddressableItemModel.cpp \
		widgets/ListDockWidget.cpp \
		dialogs/MultitypeFileSaveDialog.cpp \
		widgets/BoolToggleDelegate.cpp \
		common/IOModesController.cpp \
		common/SettingsUpgrade.cpp \
		dialogs/LayoutManager.cpp \
		common/IaitoLayout.cpp \
		widgets/GraphHorizontalAdapter.cpp \
		common/ResourcePaths.cpp \
		widgets/IaitoGraphView.cpp \
		widgets/SimpleTextGraphView.cpp \
		widgets/R2GraphWidget.cpp \
		widgets/CallGraph.cpp \
		widgets/AddressableDockWidget.cpp \
		dialogs/preferences/AnalOptionsWidget.cpp \
		dialogs/preferences/KeyboardOptionsWidget.cpp \
		common/DecompilerHighlighter.cpp \
		dialogs/PackageManagerDialog.cpp qrc_resources.cpp \
		qrc_native.cpp \
		qrc_dark.cpp \
		qrc_midnight.cpp \
		qrc_light.cpp \
		moc_Iaito.cpp \
		moc_EditStringDialog.cpp \
		moc_WriteCommandsDialogs.cpp \
		moc_ClickableSvgWidget.cpp \
		moc_DisassemblerGraphView.cpp \
		moc_OverviewView.cpp \
		moc_TypeScriptHighlighter.cpp \
		moc_ShortcutKeys.cpp \
		moc_ShortcutKeysDialog.cpp \
		moc_TextEditDialog.cpp \
		moc_Highlighter.cpp \
		moc_MdHighlighter.cpp \
		moc_DirectionalComboBox.cpp \
		moc_AnalTask.cpp \
		moc_AboutDialog.cpp \
		moc_AsmOptionsWidget.cpp \
		moc_CommentsDialog.cpp \
		moc_EditInstructionDialog.cpp \
		moc_FlagDialog.cpp \
		moc_RemoteDebugDialog.cpp \
		moc_NativeDebugDialog.cpp \
		moc_XrefsDialog.cpp \
		moc_MainWindow.cpp \
		moc_InitialOptionsDialog.cpp \
		moc_NewFileDialog.cpp \
		moc_CommentsWidget.cpp \
		moc_ConsoleWidget.cpp \
		moc_CustomCommandWidget.cpp \
		moc_Dashboard.cpp \
		moc_EntrypointWidget.cpp \
		moc_ExportsWidget.cpp \
		moc_FlagsWidget.cpp \
		moc_FunctionsWidget.cpp \
		moc_ImportsWidget.cpp \
		moc_Omnibar.cpp \
		moc_RelocsWidget.cpp \
		moc_CodeEditor.cpp \
		moc_SectionsWidget.cpp \
		moc_SegmentsWidget.cpp \
		moc_StringsWidget.cpp \
		moc_SymbolsWidget.cpp \
		moc_DisassemblyContextMenu.cpp \
		moc_DecompilerContextMenu.cpp \
		moc_DisassemblyWidget.cpp \
		moc_HexdumpWidget.cpp \
		moc_Configuration.cpp \
		moc_SaveProjectDialog.cpp \
		moc_SyntaxHighlighter.cpp \
		moc_DecompilerWidget.cpp \
		moc_VisualNavbar.cpp \
		moc_GraphView.cpp \
		moc_PreferencesDialog.cpp \
		moc_AppearanceOptionsWidget.cpp \
		moc_GraphOptionsWidget.cpp \
		moc_InitializationFileEditor.cpp \
		moc_QuickFilterView.cpp \
		moc_ClassesWidget.cpp \
		moc_ResourcesWidget.cpp \
		moc_IaitoApplication.cpp \
		moc_VTablesWidget.cpp \
		moc_TypesWidget.cpp \
		moc_HeadersWidget.cpp \
		moc_SearchWidget.cpp \
		moc_R2PluginsDialog.cpp \
		moc_IaitoDockWidget.cpp \
		moc_IaitoTreeWidget.cpp \
		moc_MapsWidget.cpp \
		moc_BinariesWidget.cpp \
		moc_FilesWidget.cpp \
		moc_GraphWidget.cpp \
		moc_OverviewWidget.cpp \
		moc_VersionInfoDialog.cpp \
		moc_ZignaturesWidget.cpp \
		moc_AsyncTask.cpp \
		moc_AsyncTaskDialog.cpp \
		moc_StackWidget.cpp \
		moc_RegistersWidget.cpp \
		moc_ThreadsWidget.cpp \
		moc_ProcessesWidget.cpp \
		moc_BacktraceWidget.cpp \
		moc_FortuneDialog.cpp \
		moc_MapFileDialog.cpp \
		moc_StringsTask.cpp \
		moc_FunctionsTask.cpp \
		moc_CommandTask.cpp \
