=== scripts/indent/Makefile ===
all:
	docker build -t clang-format-image .
