=== debian/changelog ===
iaito (6.0.4+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 02 Oct 2025 08:54:48 +0200
