=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # Package maintainers to append LDFLAGS.
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export QMAKE = qmake
 
 %:
 	dh $@ --sourcedir=src
@@ -19,6 +20,12 @@
 override_dh_auto_build:
 	dh_auto_build -Smeson
 
+override_dh_auto_clean:
+	@echo moo
+
+override_dh_auto_test:
+	@echo moo
+
 override_dh_auto_install:
 	@echo meh
