## iaito 6.0.7+ds

=== debian/changelog ===
iaito (6.0.7+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: update to version 5.
  * d/control: drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Nov 2025 18:05:21 +0000
