=== debian/watch ===
Version: 5

# Compulsory line, this is a version 4 file.
# GitHub hosted projects.
Template: Github
Owner: radareorg
Project: iaito
