## iaito 6.0.8+ds

=== debian/changelog ===
iaito (6.0.8+ds-1) experimental; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Wed, 07 Jan 2026 16:26:22 +0100
