=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: devel
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  fonts-agave,
@@ -20,7 +19,7 @@
  libradare2-dev,
  libxxhash-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/radareorg/iaito
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/iaito
 Vcs-Git: https://salsa.debian.org/pkg-security-team/iaito.git
